[Snort-users] DAQ 2.0.0 Error with 2.9.4.1

Nicholas Horton fivetenets at ...14399...
Wed Mar 27 14:54:39 EDT 2013


I got a yes this time on the DAQ check from configure. I think that was the trick. 

Thanks again. Great work.

Nick

On Mar 27, 2013, at 2:51 PM, "Ritter, Nicholas" <Nicholas.Ritter at ...16194....> wrote:

> Correct.
>  
> Some would say that this is not worth doing because daq is not compiled as a shared library or something, but I wouldn’t listen to that notion.
>  
> From: Nicholas Horton [mailto:fivetenets at ...14399...] 
> Sent: Wednesday, March 27, 2013 1:49 PM
> To: Snort Users
> Subject: Re: [Snort-users] DAQ 2.0.0 Error with 2.9.4.1
>  
> Thanks. #4 below is the entire new line in the file just "/usr/local/lib/daq"?
> 
> Nick
> 
> On Mar 27, 2013, at 2:44 PM, "Ritter, Nicholas" <Nicholas.Ritter at ...16195......> wrote:
> 
> After doing these steps, I just tested the installed snort and it works.
>  
> I think specifying “--with-daq-libraries=/usr/local/lib --with-daq-includes=/usr/local/include” would give you trouble because of recursion and where your daq includes are, they don’t get put in /usr/local/include by default.
>  
>  
> From: Ritter, Nicholas 
> Sent: Wednesday, March 27, 2013 1:41 PM
> To: 'Nicholas Horton'
> Subject: RE: [Snort-users] DAQ 2.0.0 Error with 2.9.4.1
>  
> Ok…I am testing on a CentOS 6.4 system that never had snort or DAQ on it. I am testing the same versions of DAQ and snort. I don’t get an error with the snort configure process.
>  
> Here are some of the things I did for installation:
>  
> 1)      Install the epel repo rpm (http://mirrors.kernel.org/fedora-epel/6/i386/epel-release-6-8.noarch.rpm)
> 2)      Install the following packages via yum:
> a.       Pcre
> b.      Pcre-devel
> c.       Libdnet
> d.      Libdnet-devel
> e.       Libpcap
> f.       Libpcap-devel
> g.      Zlib
> h.      Zlib-devel
> 3)      Configure and install daq, using just : ./configure && make && make install
> 4)      Edit /etc/ld.so.conf, adding /usr/local/lib/daq
> 5)      Run: ldconfig
> 6)      Run snort install
> a.       I run snort configure separate and by itself to look for errors. The specific command I used was: ./configure
> b.      The configure argument you were using would most likely not work.
>  
> From: Nicholas Horton [mailto:fivetenets at ...14399...] 
> Sent: Wednesday, March 27, 2013 1:28 PM
> To: Snort Users
> Subject: Re: [Snort-users] DAQ 2.0.0 Error with 2.9.4.1
>  
> Ok let me try
> 
> Nick
> 
> On Mar 27, 2013, at 2:23 PM, Mayur Patil <ram.nath241089 at ...11827...> wrote:
> 
> Hello Nick,
> 
>    No need of fresh CentOS install !! Just search by Snort and Daq which are latest compiled and delete all of them !!
>  
>    Remember do touch Daq which comes preinstalled with CentOS.
>   
>    After that reboot the system and start with instructions that I mentioned.
> 
>    It has to work as I have tested it on CentOS 6.3 64 bit .
> 
> --
> Cheers,
> Mayur
> 
>  
> 
> AMTV Spam Admin: Click here to report this email as spam.
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <https://lists.snort.org/pipermail/snort-users/attachments/20130327/67ac2794/attachment.html>


More information about the Snort-users mailing list